Package org.eclipse.debug.ui

## Interface ILaunchConfigurationTab2

All Superinterfaces:
  `ILaunchConfigurationTab`

All Known Implementing Classes:
  `AbstractLaunchConfigurationTab`, `CommonTab`, `EnvironmentTab`, `PrototypeTab`, `RefreshTab`, `SourceLookupTab`, `WorkingDirectoryBlock`

    public interface ILaunchConfigurationTab2
    extends ILaunchConfigurationTab

Optional enhancements for `ILaunchConfigurationTab`.

Since:
  3.9

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getWarningMessage()` Returns a warning message to be displayed to the user or `null` if none is present.

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`activated, canSave, createControl, deactivated, dispose, getControl, getErrorMessage, getImage, getMessage, getName, initializeFrom, isValid, launched, OkToLeaveTab, performApply, postApply, setDefaults, setLaunchConfigurationDialog`

### Method Detail

#### getWarningMessage

    String getWarningMessage()

Returns a warning message to be displayed to the user or `null` if none is present.

Returns:
  Returns a warning message to be displayed to the user or `null` if none is present.